For each VLAN (a ifIndex with a type of propVirtual(53)) an entry of this table specifies a set of ports, which it contains.
OID reference
vlanPortsTable
1.3.6.1.4.1.89.48.18
Description
For each VLAN (a ifIndex with a type of propVirtual(53)) an entry of this table specifies a set of ports, which it contains.
Identification
Identifier and names
- Parent
- 1.3.6.1.4.1.89.48 (vlan)
- Node code
- 18
- Node name
- vlanPortsTable
- Category
- SNMP management object
- Numeric OID
- 1.3.6.1.4.1.89.48.18
- URN notation
- urn:oid:1.3.6.1.4.1.89.48.18
ASN.1, OID-IRI and named path variants
- ASN.1 notation
-
{1 3 6 1 4 1 89 48 18}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanPortsTable(18)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanPortsTable(18)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanPortsTable(18)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanPortsTable(18)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanPortsTable(18)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanPortsTable(18)}
- {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanPortsTable(18)}
- {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanPortsTable(18)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanPortsTable(18)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanPortsTable(18)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanPortsTable(18)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanPortsTable(18)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanPortsTable(18)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanPortsTable(18)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanPortsTable(18)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanPortsTable(18)}
- OID-IRI notation
- /1/3/6/1/4/1/89/48/18
- /ISO/Identified-Organization/6/1/4/1/89/48/18
- /ISO/3/6/1/4/1/89/48/18
- Named path variants
- /iso/identified-organization/dod/internet/private/enterprise/rnd/vlan/vlanPortsTable
- /iso/identified-organization/dod/internet/private/enterprises/rnd/vlan/vlanPortsTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/rnd/vlan/vlanPortsTable
- /iso/identified-organization/dod/internet/private/vendor-objects/rnd/vlan/vlanPortsTable
- /iso/org/dod/internet/private/enterprise/rnd/vlan/vlanPortsTable
- /iso/org/dod/internet/private/enterprises/rnd/vlan/vlanPortsTable
- /iso/org/dod/internet/private/ldap-enterprise/rnd/vlan/vlanPortsTable
- /iso/org/dod/internet/private/vendor-objects/rnd/vlan/vlanPortsTable
- /iso/iso-identified-organization/dod/internet/private/enterprise/rnd/vlan/vlanPortsTable
- /iso/iso-identified-organization/dod/internet/private/enterprises/rnd/vlan/vlanPortsTable
- /iso/iso-identified-organization/dod/internet/private/ldap-enterprise/rnd/vlan/vlanPortsTable
- /iso/iso-identified-organization/dod/internet/private/vendor-objects/rnd/vlan/vlanPortsTable
- /iso/iso-organization/dod/internet/private/enterprise/rnd/vlan/vlanPortsTable
- /iso/iso-organization/dod/internet/private/enterprises/rnd/vlan/vlanPortsTable
- /iso/iso-organization/dod/internet/private/ldap-enterprise/rnd/vlan/vlanPortsTable
- /iso/iso-organization/dod/internet/private/vendor-objects/rnd/vlan/vlanPortsTable
SNMP properties
- Value type
- SEQUENCE OF VlanPortEntry
- Maximum access defined by MIB
- not-accessible
- Status in MIB
- mandatory
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Published definition
The displayed source records contain one distinct definition. Compare its source records.
vlanPortsTable OBJECT-TYPE
SYNTAX SEQUENCE OF VlanPortEntry
ACCESS not-accessible
STATUS mandatory
DESCRIPTION
"For each VLAN (a ifIndex with a type of propVirtual(53)) an entry
of this table specifies a set of ports, which it contains."
::= { vlan 18 }
Meaning
Descriptions
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Evidence
Source records
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Records for description 1D-Link official switch MIBs
vlanPortsTable · mandatoryD-Link official switch MIBs
Status in source: mandatory.
Names: vlanPortsTable
Technical details
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"vlanPortsTable",
"OBJECT-TYPE",
"SYNTAX",
"SEQUENCE",
"OF",
"VlanPortEntry",
"ACCESS",
"not-accessible",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"For each VLAN (a ifIndex with a type of propVirtual(53)) an entry of this table specifies a set of ports, which it contains.\"",
"::=",
"{",
"vlan",
"18",
"}"
],
"syntax_tree": [
[
"conceptualTable",
[
"row",
"VlanPortEntry"
]
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"For each VLAN (a ifIndex with a type of propVirtual(53)) an entry of this table specifies a set of ports, which it contains."
],
null,
null,
null,
null
]
}- D-Link official switch MIBs
· Publisher's source file: Source package: DES6300 MIB(0131140909).zip
Module: RADLAN-MIB
See published definition above
· Download APOLLO.TXTModule imports
{'IF-MIB': ['InterfaceIndexOrZero', 'InterfaceIndex', 'ifIndex'], 'LAG-MIB': ['dot3adAggIndex'], 'MAU-MIB': ['JackType'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RMON-MIB': ['OwnerString', 'EntryStatus'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'BRIDGE-MIB': ['BridgeId', 'Timeout', 'dot1dBasePort', 'dot1dBasePortEntry', 'MacAddress'], 'SNMPv2-SMI': ['Unsigned32', 'Counter32', 'Counter64'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry'], 'RFC1315-MIB': ['DLCI'], 'RFC1389-MIB': ['rip2IfConfEntry'], 'P-BRIDGE-MIB': ['EnabledStatus'], 'Q-BRIDGE-MIB': ['PortList'], 'SNMPv2-TC-v1': ['TimeInterval'], 'RADLAN-SNMPv2': ['TruthValue', 'RowStatus', 'zeroDotZero', 'RowPointer'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}Related source files and packages:
Registration
Registration authorities
First Registration Authority (inferred from ancestor 1.3.6.1.4.1.89)
Direct children (1)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.89.48.18.1 | vlanPortEntry | 6 | 6 |
Siblings (76)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.89.48.1 | vlanMibVersion | 0 | 0 | |
| 1.3.6.1.4.1.89.48.2 | vlanMaxTableNumber | 0 | 0 | |
| 1.3.6.1.4.1.89.48.3 | vlanSupportedType | 0 | 0 | |
| 1.3.6.1.4.1.89.48.4 | vlanPortAutoConfigSupport | 0 | 0 | |
| 1.3.6.1.4.1.89.48.5 | vlanLlcUserDefinedNum | 0 | 0 | |
| 1.3.6.1.4.1.89.48.6 | vlanEthUserDefinedNum | 0 | 0 | |
| 1.3.6.1.4.1.89.48.7 | vlanEthUserDefinedMaskSupport | 0 | 0 | |
| 1.3.6.1.4.1.89.48.8 | vlanIpxSeparatedVlansSupport | 0 | 0 | |
| 1.3.6.1.4.1.89.48.9 | vlanTaggingType | 0 | 0 | |
| 1.3.6.1.4.1.89.48.10 | vlanFirstUnusedTag | 0 | 0 | |
| 1.3.6.1.4.1.89.48.11 | vlanAutoConfAgingTimeout | 0 | 0 | |
| 1.3.6.1.4.1.89.48.13 | vlanPreDefProtTable | 1 | 2 | |
| 1.3.6.1.4.1.89.48.14 | vlanEthUserDefProtTable | 1 | 6 | |
| 1.3.6.1.4.1.89.48.15 | vlanLlcUserDefProtTable | 1 | 6 | |
| 1.3.6.1.4.1.89.48.16 | vlanStatusTable | 1 | 3 | |
| 1.3.6.1.4.1.89.48.17 | vlanTable | 1 | 10 | |
| 1.3.6.1.4.1.89.48.19 | vlanAutoConfTable | 1 | 4 | |
| 1.3.6.1.4.1.89.48.20 | vlanSupportedTypeAfterReset | 0 | 0 | |
| 1.3.6.1.4.1.89.48.21 | vlanNameTable | 1 | 4 | |
| 1.3.6.1.4.1.89.48.22 | vlanPortModeTable | 1 | 2 | |
| 1.3.6.1.4.1.89.48.23 | rlDefaultVlanEnable | 0 | 0 | |
| 1.3.6.1.4.1.89.48.24 | rlDefaultVlanTag | 0 | 0 | |
| 1.3.6.1.4.1.89.48.25 | rlDefaultVlanSupported | 0 | 0 | |
| 1.3.6.1.4.1.89.48.26 | vlanTagToIfIndexTable | 1 | 3 | |
| 1.3.6.1.4.1.89.48.27 | vlanSendUnknownToAllPorts | 0 | 0 | |
| 1.3.6.1.4.1.89.48.28 | rlDefaultVlanExcludePorts | 0 | 0 | |
| 1.3.6.1.4.1.89.48.29 | vlanDefaultSupported | 0 | 0 | |
| 1.3.6.1.4.1.89.48.31 | vlanDot1vSupported | 0 | 0 | |
| 1.3.6.1.4.1.89.48.32 | vlanDefaultEnabled | 0 | 0 | |
| 1.3.6.1.4.1.89.48.33 | vlanSpecialTagTable | 1 | 3 | |
| 1.3.6.1.4.1.89.48.34 | vlanSpecialTagCurrentTable | 1 | 4 | |
| 1.3.6.1.4.1.89.48.35 | vlanPrivateEdgeSupported | 0 | 0 | |
| 1.3.6.1.4.1.89.48.36 | vlanPrivateEdgeVersion | 0 | 0 | |
| 1.3.6.1.4.1.89.48.37 | vlanPrivateEdgeTable | 1 | 3 | |
| 1.3.6.1.4.1.89.48.38 | vlanDynamicVlanSupported | 0 | 0 | |
| 1.3.6.1.4.1.89.48.39 | vlanDynamicVlanTable | 1 | 4 | |
| 1.3.6.1.4.1.89.48.40 | vlanPortModeExtTable | 1 | 3 | |
| 1.3.6.1.4.1.89.48.41 | vlanPrivateSupported | 0 | 0 | |
| 1.3.6.1.4.1.89.48.42 | vlanPrivateTableOld, vlanPrivateTable | 1 | 3 | |
| 1.3.6.1.4.1.89.48.43 | vlanPrivateCommunityTable | 1 | 3 | |
| 1.3.6.1.4.1.89.48.44 | vlanMulticastTvTable | 1 | 3 | |
| 1.3.6.1.4.1.89.48.45 | vlanMacBaseVlanGroupTable | 1 | 5 | |
| 1.3.6.1.4.1.89.48.46 | vlanMacBaseVlanPortTable | 1 | 4 | |
| 1.3.6.1.4.1.89.48.47 | vlanPrivateEdgeGroupTable | 1 | 4 | |
| 1.3.6.1.4.1.89.48.48 | vlanPrivateEdgeGroupIfIndexTable | 1 | 3 | |
| 1.3.6.1.4.1.89.48.49 | vlanSubnetRangeTable | 1 | 5 | |
| 1.3.6.1.4.1.89.48.50 | vlanSubnetPortTable | 1 | 4 | |
| 1.3.6.1.4.1.89.48.51 | vlanTriplePlayTable | 1 | 4 | |
| 1.3.6.1.4.1.89.48.52 | vlanTriplePlayMulticastTvTable | 1 | 3 | |
| 1.3.6.1.4.1.89.48.53 | vlanDefaultExtManagment | 0 | 0 |